# Created by pyp2rpm-3.3.7
%global pypi_name N2SNUserTools
%global pypi_version 0.3.7

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        User Manipulation Tools for Python

License:        BSD (3-clause)
URL:            https://github.com/NSLS-II/N2SNUserTools
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
 N2SN User Tools NSLS-II N2SN User Manipulation Tools for Python Reporting
issues ****************Please report issues to the NSLS-II internal issue
tracker at

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(gssapi)
Requires:       python3dist(ldap3)
Requires:       python3dist(prettytable)
Requires:       python3dist(pyyaml)
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
 N2SN User Tools NSLS-II N2SN User Manipulation Tools for Python Reporting
issues ****************Please report issues to the NSLS-II internal issue
tracker at


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{_bindir}/n2sn_add_user
%{_bindir}/n2sn_list_users
%{_bindir}/n2sn_remove_user
%{_bindir}/n2sn_search_user
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Fri Aug 13 2021 mockbuilder - 0.3.7-1
- Initial package.